<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://themeforest.net/user/phpface
 * @since      1.0.0
 *
 * @package    Streamtube_Core
 * @subpackage Streamtube_Core/admin
 */

/**
 * @package    Streamtube_Core
 * @subpackage Streamtube_Core/admin
 * @author     phpface <nttoanbrvt@gmail.com>
 */

if( ! defined('ABSPATH' ) ){
	exit;
}

class Streamtube_Core_Admin_User{

    public function user_table( $columns ){
        return array_merge( $columns, array(
            'video_count' =>  esc_html__( 'Videos', 'streamtube-core' )
        ) );
    }

    public function user_table_columns( $output, $column_name, $user_id ){
        switch ( $column_name ) {
            case 'video_count':
                $output = number_format_i18n( count_user_posts( $user_id, 'video', true ) );
            break;
        }

        return $output;
    }

}