<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

wp_enqueue_script( 'google-chart', '//www.gstatic.com/charts/loader.js' );
wp_enqueue_script( 'streamtube-reports' );

$page_paths = array();

$page_title = '<span class="icon-chart-area me-2"></span>' . esc_html__( 'Analytics', 'streamtube-core' );

if( isset( $args ) ){
	extract( $args );

	if( is_array( $page_paths ) ){
		$page_paths = implode( '|', $page_paths );
	}
}

$start_dates = streamtube_core()->get()->analytics->get_start_dates();

$start_date = '7daysAgo';

$end_date = 'yesterday';

if( isset( $_GET['start_date'] ) ){
	$start_date = sanitize_text_field( wp_unslash( $_GET['start_date'] ) );
}

if( isset( $_GET['end_date'] ) ){
	$end_date = sanitize_text_field( wp_unslash( $_GET['end_date'] ) );
}

$params = compact(
	'start_date', 'end_date', 'page_paths'
);

$overview_metrics = streamtube_core()->get()->rest_api['analytics']->pre_get_overview_metrics();
$overview_playevent_metrics = streamtube_core()->get()->rest_api['analytics']->pre_get_overview_video_metrics();

?>

<?php printf(
	'<div class="googlesitekit-reports" id="googlesitekit-reports" data-linechart-options="%s" data-overview-metrics="%s" data-overview-playevent-metrics="%s">',
	esc_attr( json_encode( streamtube_core_get_linechart_options() ) ),
	esc_attr( json_encode( $overview_metrics ) ),
	esc_attr( json_encode( $overview_playevent_metrics ) )

);?>
	<div class="page-head mb-3 d-flex align-items-center">

		<?php if( $page_title ): ?>
			<?php
			printf(
				'<h1 class="page-title h3">%s</h1>',
				$page_title
			);
			?>
		<?php endif;?>

		<?php include_once( 'start-date.php' ); ?>
	</div>

	<?php

	/**
	 *
	 * Fires before reports
	 *
	 *@since 1.0.8 
	 * 
	 */
	do_action( 'streamtube/core/googlesitekit/reports/before', $params );
	?>

	<?php 

	if( streamtube_core()->get()->analytics->is_connected() ){
		include_once( 'analytics/analytics.php' );	
	}

	?>

	<?php 
	if( streamtube_core()->get()->search_console->is_connected() ){
		include_once( 'search-console/search-console.php' );
	}
	?>

	<?php
	/**
	 *
	 * Fires before reports
	 *
	 *@since 1.0.8 
	 * 
	 */
	do_action( 'streamtube/core/googlesitekit/reports/after', $params );
	?>	
</div>