<?php
/**
 *
 * @link       https://1.envato.market/mgXE4y
 * @since      1.0.0
 *
 * @package    WordPress
 * @subpackage StreamTube
 * @author     phpface <nttoanbrvt@gmail.com>
 */
if( ! defined( 'ABSPATH' ) ){
    exit;
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <div class="post-body single-body">

        <div class="post-main">
        	<?php
        	/**
        	 *
        	 * Fires before player
        	 *
        	 * @since  1.0.0
        	 * 
        	 */
        	do_action( 'streamtube/player/before' );
        	?>

            <?php get_template_part( 'template-parts/player' );?>

        	<?php
        	/**
        	 *
        	 * Fires after player
        	 *
        	 * @since  1.0.0
        	 * 
        	 */
        	do_action( 'streamtube/player/after' );
        	?>
        </div>

        <div class="post-bottom shadow-sm">

            <div class="post-bottom__meta border-bottom p-4">

                <?php the_title(
                	'<h1 class="post-title post-title-xl text-body">',
                	'</h1>'
                )?>

                <?php get_template_part( 'template-parts/post-single', 'meta', $args );?>

            </div>

            <?php if( get_option( 'author_box', 'on' ) ): ?>
                <?php get_template_part( 'template-parts/author', 'box', $args );?>
            <?php endif;?>

            <?php get_template_part( 'template-parts/post', 'content', $args );?>
          
        </div>

    </div>

</article>