<?php

if( ! defined( 'ABSPATH' ) ){
	exit;
}

/**
 *
 * Check if current user liked given post
 * 
 * @return array|false
 *
 * @since 1.0.0
 * 
 */
function wppl_is_liked(){

	return WPPL()->get()->query->is_liked( get_the_ID() );

}

/**
 *
 * Get post like count
 * 
 * @return int
 *
 * @since 1.0.0
 * 
 */
function wppl_get_count(){
	global $post, $wppl;
	
	return WPPL()->get()->query->get_count( get_the_ID() );	
}

/**
 *
 * The like button template
 * 
 * @since 1.0.2
 * 
 * @return [type] [description]
 */
function wppl_button_like(){
	load_template( WP_POST_PUBLIC_PATH . '/partials/button-like.php', false );
}