<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 *
 * @link       https://themeforest.net/user/phpface
 * @since      1.0.0
 *
 * @package    WP_Video_Encoder
 * @subpackage WP_Video_Encoder/includes
 */

/**
 *
 * @package    WP_Video_Encoder
 * @subpackage WP_Video_Encoder/includes
 * @author     phpface <nttoanbrvt@gmail.com>
 */
class WP_Video_Encoder_License {

    protected $streamtube_core;

    /** 
     * @return WP_Error|array
     */
    public function is_verified(){

        $this->streamtube_core = function_exists( 'streamtube_core' ) ? streamtube_core()->get() : false;

        if( ! $this->streamtube_core || ! is_object( $this->streamtube_core ) ){
            return new WP_Error(
                'no_streamtube_core',
                esc_html__( 'StreamTube Core is not activated.', 'wp-video-encoder' )
            );
        }

        if( property_exists( $this->streamtube_core , 'license' )){
            return $this->streamtube_core->license->is_verified();
        }

        return new WP_Error(
            'old_streamtube_core',
            esc_html__( 'StreamTube Core is too old.', 'wp-video-encoder' )
        );
    }

    public function get_message(){

        if( is_wp_error( $this->is_verified() ) ){
            return $this->streamtube_core->license->get_message();
        }
    }

}